#!/usr/bin/env python3
# -*- coding: utf-8 -*-
#
# License: GNU General Public License v2
#
# Author: thl-cmk[at]outlook[dot]com
# URL   : https://thl-cmk.hopto.org
# Date  : 2021-11-27
#
# inventory view for Noel epower switch
#
# 2023-04-22: moved to ~/local/lib/check_mk/gui/plugins/views
# 2023-06-14: removed declare_invtable_view from view definition on cmk 2.2 (see werk 15493)
#             changed inventory_displayhints import (see werk 15493)



from cmk.gui.i18n import _
from cmk.gui.views.inventory.registry import inventory_displayhints


inventory_displayhints.update({
    '.hardware.devices:': {'title': _('Devices'),
                           'keyorder': ['id', 'name', 'type', 'version', 'detected', 'activated', ],
                           'view': 'invdevices_of_host',
                           },
    '.hardware.devices:*.id': {'title': _('ID'), },
    '.hardware.devices:*.name': {'title': _('Name')},
    '.hardware.devices:*.type': {'title': _('Type'), },
    '.hardware.devices:*.version': {'title': _('Version')},
    '.hardware.devices:*.detected': {'title': _('Detected'), },
    '.hardware.devices:*.activated': {'title': _('Activated'), },
})
